// @flow

import React from 'react'
import cn from 'classnames'
import { withState } from 'recompose'
import { storiesOf } from '@kadira/storybook'

const Filter = withState('selected', 'select', 0)(({
  selected,
  select,
}: {
  selected: number,
  select: (selected: number) => void,
}) => (
  <div className="flex">
    <div className="w-third">
      <div className={cn('pointer', { 'bg-light-gray': selected === 0 })} onClick={() => select(0)}>Đất nền</div>
      <div className={cn('pointer', { 'bg-light-gray': selected === 1 })} onClick={() => select(1)}>Nhà phố</div>
      <div className={cn('pointer', { 'bg-light-gray': selected === 2 })} onClick={() => select(2)}>Căn hộ</div>
    </div>
    {selected === 0 && (
      <div className="w-two-thirds">
        <h2>Đất nền</h2>
        <div className="flex">
          <div className="w4 flex-none">LOẠI SẢN PHẨM</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">TÊN SẢN PHẨM</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">VỊ TRÍ</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">DIỆN TÍCH</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">GIÁ</div>
          <select />
        </div>
      </div>
    )}
    {selected === 1 && (
      <div className="w-two-thirds">
        <h2>Nhà phố</h2>
        <div className="flex">
          <div className="w4 flex-none">LOẠI SẢN PHẨM</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">TÊN SẢN PHẨM</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">VỊ TRÍ</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">SỐ PHÒNG NGỦ</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">DIỆN TÍCH</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">GIÁ</div>
          <select />
        </div>
      </div>
    )}
    {selected === 2 && (
      <div className="w-two-thirds">
        <h2>Căn hộ</h2>
        <div className="flex">
          <div className="w4 flex-none">LOẠI SẢN PHẨM</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">TÊN SẢN PHẨM</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">VỊ TRÍ</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">SỐ PHÒNG NGỦ</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">DIỆN TÍCH</div>
          <select />
        </div>
        <div className="flex">
          <div className="w4 flex-none">GIÁ</div>
          <select />
        </div>
      </div>
    )}
  </div>
))

storiesOf('Filter', module)
  .add('Filter', () => <Filter />)
