// @flow

import React from 'react'
import cn from 'classnames'
import { spring, Motion, TransitionMotion } from 'react-motion'
import Transition from 'react-motion-ui-pack'
import { compose, withState } from 'recompose'
import { storiesOf } from '@kadira/storybook'

const items = [
  {
    id: 'hello-1',
    content: 'Hello 1',
  },
  {
    id: 'hello-2',
    content: 'Hello 2',
  },
  {
    id: 'hello-3',
    content: 'Hello 3',
  },
  {
    id: 'hello-4',
    content: 'Hello 4',
  },
]

class _StackNav extends React.Component {
  state = {
    items: [{ key: 'a', size: 100 }, { key: 'b', size: 100 }, { key: 'c', size: 100 }],
  };

  add = () => {
    this.setState({
      items: this.state.items.concat([{ key: `a${this.state.items.length}`, size: 100 }]),
    })
  };

  remove = () => {
    this.setState({
      items: this.state.items.splice(0, this.state.items.length - 1),
    })
  };

  render() {
    return (
      <div className="w-100 vh-100 bg-light-gray">
        <div className="pa3">
          <div className="bg-white br1 f3 pa3">
            <div>DỰ ÁN: Nhà anh 7 chị 4</div>
            <div className="bg-white br1 f5">
               ĐƠN HÀNG: Suối Chồn - Long Khánh ngày 20/6/2017
            </div>
          </div>
          <div>
            <div />
          </div>
        </div>
      </div>
    )
  }
}

/*
const _StackNav = () => (
  <Transition
    component="ul"
    enter={{
      opacity: 1,
    }}
    leave={{
      opacity: 0,
    }}
  >
    {items.map(item =>
      <li key={item.id}>{item.content}</li>,
    )
  }
  </Transition>
)
*/

const StackNav = compose(
  withState('selected', 'select', false),
  withState('selectedChild', 'selectChild', false),
)(_StackNav)

storiesOf('StackNav', module)
  .add('StackNav', () => <StackNav />)
