// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Carousel from './'
import { services } from '../../sample-data/connected.yml'

const theme = {
  // root: '-bg-aqua pa2 ba b--light-gray br2 outline-0',
  button: 'flex justify-center items-center w1 h1 pointer bg-black-40 white-80 br-100 pa3 f3 db ma3',
}

storiesOf('Carousel', module)
  .add('3 slide', () => (
    <Carousel
      theme={theme}
      slidesToShow={3}
      items={services}
      renderItem={({ title, image }) => (
        <div className="ph1">
          <img src={image} alt={title} />
        </div>
      )}
    />
  ))
  .add('1 slide', () => (
    <Carousel
      theme={theme}
      // slidesToShow={3}
      items={services}
      renderItem={({ title, image }) => (
        <div
          className="relative ph1 aspect-ratio--16x9 cover"
          style={{
            backgroundImage: `url(${image})`,
          }}
        >
          <div className="absolute absolute--fill flex items-center justify-center">
            <div className="bg-black-30 white f1 pa4">{title}</div>
          </div>
          {/* <img src={image} alt={title} /> */}
        </div>
      )}
    />
  ))
