/* eslint-disable no-console */

// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import ContactForm from './'

const theme = {
  inputWrapper: 'ph2 pv1 mb2 ba b--light-gray br2',
  icon: 'mr2 w1 tc',
  input: 'f6',
  callToAction: 'w-100 pa2 bn tc black-80 br2 bg-yellow',
  error: '-red f7 w-100 w-third-ns',
}

storiesOf('ContactForm', module)
  .add('default', () => (
    <div className="measure center">
      <ContactForm
        theme={theme}
        onSubmit={console.log}
      />
    </div>
  ))
  .add('custom theme & label', () => (
    <div className="measure center">
      <ContactForm
        nameLabel="Tên của bạn"
        emailLabel="Email của bạn"
        phoneLabel="Phone của bạn"
        descriptionLabel="Nội dung"
        submitLabel="Gửi"
        theme={theme}
        onSubmit={console.log}
        onValidationFail={console.log}
      />
    </div>
  ))
