// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import cn from 'classnames'

export const defaultStyles = {
}

const CustomerReviewGridItem = ({
  item: { image, name, from, content },
  className,
  theme,
}: {
  item: TCustomerReview,
  className?: string,
  theme: { [key: string]: string },
}) => (
  <div
    data-component="CustomerReviewGridItem"
    className={cn('flex flex-column items-center tc', theme.root, className)}
  >
    <img className={theme.image} src={image} alt={name} />
    <div className={theme.name}>{name}</div>
    <div className={theme.from}>{from}</div>
    <div className={theme.content}>{content}</div>
  </div>
)

CustomerReviewGridItem.defaultProps = {
  className: null,
}

export default themr('CustomerReviewGridItem', {}, { composeTheme: 'softly' })(CustomerReviewGridItem)
