// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Hero, { defaultStyles } from './'

storiesOf('Hero', module)
  .addWithInfo(
    'default',
    `
      This is the basic Hero, you are able to add image, or videos as a background (the video is only play in large device).
      You can put whatever in the Hero Children, remember to add theme to 'container' & 'root'.
      See the example below to learn more.
    `,
    () => (
      <Hero
        theme={defaultStyles}
        backgroundImage="//res.cloudinary.com/connected/image/upload/w_960/v1495695823/hero-bg_apd51x.jpg"
        videos={[
          'https://connected.com.vn/dd1c6332a2f4fc69779b57f13e806fa5.mp4',
        ]}
      >
        <div className="bg-black-20 f3 pa3">
          This is the content with background
        </div>
      </Hero>
    ),
  )
