// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import ImageCarousel from './'
import { services } from '../../sample-data/connected.yml'

const theme = {
  // root: '-bg-aqua pa2 ba b--light-gray br2 outline-0',
  slideWrapper: 'aspect-ratio--16x9',
  slideContent: 'flex items-center justify-center',
  button: 'flex justify-center items-center w1 h1 pointer bg-black-40 white-80 br-100 pa3 f3 db ma3',
}

storiesOf('ImageCarousel', module)
  .add('3 slide', () => (
    <ImageCarousel
      theme={theme}
      slidesToShow={3}
      items={services}
      renderItem={({ title }) => (
        <div className="ph1">
          {title}
        </div>
      )}
    />
  ))
  .add('1 slide', () => (
    <ImageCarousel
      theme={theme}
      // slidesToShow={3}
      items={services}
      renderItem={({ title }) => (
        <div className="bg-black-30 white f3 f2-m f1-l pa2 pa3-m pa4-l">{title}</div>
      )}
    />
  ))
