/* eslint-disable no-console */

// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Wrapper from 'components/Wrapper'
import OptIn from './'

const data = {
  callToAction: 'Subscribe Now',
}

const theme = {
  inputWrapper: 'ph2 pv1 mb2 ba b--light-gray br2',
  icon: 'mr2',
  input: 'f6',
  submitWrapper: '',
  submit: 'w-100 pa2 bn tc black-80 br2 bg-yellow',
  error: '-red f7 w-100 w-third-ns',
}

const hTheme = {
  form: 'flex-ns items-center-ns',
  inputWrapper: 'w-25-ns bg-white ph2 pv2 ba b--light-gray br2 mb2 mb0-ns mr2-ns',
  icon: 'mr2 black-70',
  input: 'f6 black-70',
  submitWrapper: '',
  submit: 'bn outline-0 pv1 flex-none self-stretch w-100 w-third-ns br2 black-80 -bg-golden grow',
  errorWrapper: 'flex flex-wrap',
  error: '-red f7 w-100 w-third-ns',
}

storiesOf('OptIn', module)
  .add('default', () => (
    <div className="mw7 center mt2">
      <Wrapper className="mb3" title="Default">
        <OptIn
          className="pa2"
          data={data}
          theme={theme}
          onSubmit={console.log}
        />
      </Wrapper>
      <Wrapper className="mb3" title="Default with name">
        <OptIn
          className="pa2"
          requireName
          data={data}
          theme={theme}
          onSubmit={console.log}
        />
      </Wrapper>
      <Wrapper className="mb3" title="Default with name">
        <OptIn
          className="pa2"
          data={data}
          theme={hTheme}
          onSubmit={console.log}
        />
      </Wrapper>
    </div>
  ))
