// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import PostCard from './'
import { samplePost } from '../../sample-data/connected.yml'

const theme = {
  meta: 'flex justify-center roboto fw3 ttu f7',
  category: '',
  date: '',
  metaSeparator: 'mh2',
  titleWrapper: 'mb2',
  title: 'f3 ttu roboto fw5 tc',
  hr: 'w3 bb -b--aqua mb3',
  descriptionWrapper: 'mb3',
  description: 'f6',
  readMoreWrapper: 'tc ttu f6',
  readMore: '',
}

storiesOf('Post Card', module)
  .add('1', () => (
    <PostCard item={samplePost} />
  ))
  .add('list', () => (
    <div className="flex flex-wrap">
      {[1, 2, 3].map(key => (
        <div key={key} className="w-100 w-third-ns pa3">
          <PostCard
            item={samplePost}
            theme={theme}
          />
        </div>
      ))}
    </div>
  ))
