// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Wrapper from 'components/Wrapper'
import PricingTable from './'
import { pricing } from './data.yml'
import theme from './theme.yml'

storiesOf('Pricing Table', module)
  .add('default', () => (
    <div>
      <Wrapper title="Full">
        <PricingTable data={pricing} theme={theme} />
      </Wrapper>
      <Wrapper title="Limit Width">
        <PricingTable className="mw8 center" data={pricing} theme={theme} />
      </Wrapper>
      <Wrapper title="Custom Render Link">
        <PricingTable
          className="mw8 center"
          data={pricing}
          theme={theme}
          renderLink={link => (
            <a className="link white-80 hover-white f4" href={link.href}>{link.label}</a>
          )}
        />
      </Wrapper>
    </div>
  ))
