// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Wrapper from 'components/Wrapper'
import SplitSection from './'

const theme = {
  root: 'pv5 pv6-ns cover bg-center vh-100 vh-75-ns flex',
  leftRoot: 'w-100 w-50-ns',
  leftTitle: 'near-black title f1 tc mw8 center lh-title',
  leftSubtitle: 'near-black subtitle f3 tc mw8 center',
  rightRoot: 'w-100 w-50-ns',
  rightTitle: 'near-black title f1 tc mw8 center lh-title',
  rightSubtitle: 'near-black subtitle f3 tc mw8 center',
}

const section = {
  left: {
    title: 'Thời giờ là vàng bạc',
    subtitle: '... nên chúng tôi xây dựng website tải trong chớp mắt giúp bạn có nhiều khách hàng hơn.',
  },
  right: {
    title: 'This is the right section',
  },
}

storiesOf('SplitSection', module)
  .add('default', () => (
    <div>
      <Wrapper title="Normal" className="mb2">
        <SplitSection
          className="pa2"
          theme={theme}
          section={section}
        />
      </Wrapper>
    </div>
  ))
