// @flow
import React from 'react'
import Hero from './Hero'
import Summary from './Summary'
import Benefit from './Benefit'
import Location from './Location'
import Ground from './Ground'
import Sample from './Sample'
import Pricing from './Pricing'
import Payment from './Payment'
import Utilities from './Utilities'
import Progress from './Progress'

const Adapter = ({ data }: {
  data: any,
}) => {
  const { type, ...rest } = data
  switch (type) {
    case 'Hero':
      return (
        <Hero data={rest} />
      )
    case 'Summary':
      return (
        <Summary data={rest} />
      )
    case 'Benefit':
      return (
        <Benefit data={rest} />
      )
    case 'Location':
      return (
        <Location data={rest} />
      )
    case 'Utilities':
      return (
        <Utilities data={rest} />
      )
    case 'Ground':
      return (
        <Ground data={rest} />
      )
    case 'Sample':
      return (
        <Sample data={rest} />
      )
    case 'Pricing':
      return (
        <Pricing data={rest} />
      )
    case 'Progress':
      return (
        <Progress data={rest} />
      )
    case 'Payment':
      return (
        <Payment data={rest} />
      )
    default:
      return null
  }
}

export default Adapter
