'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactProgressiveImage = require('react-progressive-image');

var _reactProgressiveImage2 = _interopRequireDefault(_reactProgressiveImage);

var _Link = require('../Link');

var _Link2 = _interopRequireDefault(_Link);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  imageWrapper: '',
  image: '',
  title: 'f3 tc ph2 mt3 fw7',
  link: '',
  description: 'tc ph2 mt2'
};

var Card = function Card(_ref) {
  var _ref$item = _ref.item,
      title = _ref$item.title,
      image = _ref$item.image,
      to = _ref$item.to,
      smallImage = _ref$item.smallImage,
      description = _ref$item.description,
      _ref$item$actions = _ref$item.actions,
      actions = _ref$item$actions === undefined ? [] : _ref$item$actions,
      _ref$titleElement = _ref.titleElement,
      titleElement = _ref$titleElement === undefined ? 'h3' : _ref$titleElement,
      _ref$Link = _ref.Link,
      Link = _ref$Link === undefined ? _Link2.default : _ref$Link,
      theme = _ref.theme;

  var Title = titleElement;
  return _react2.default.createElement(
    'div',
    { 'data-component': 'Card', className: (0, _classnames2.default)('flex flex-column items-center', theme.root) },
    _react2.default.createElement(
      'div',
      { className: theme.imageWrapper },
      _react2.default.createElement(
        _reactProgressiveImage2.default,
        { src: image, placeholder: smallImage },
        function (src) {
          return _react2.default.createElement('img', { className: theme.image, src: src, alt: title });
        }
      )
    ),
    _react2.default.createElement(
      Title,
      { className: theme.title },
      _react2.default.createElement(
        Link,
        { className: theme.link, to: to },
        title
      )
    ),
    _react2.default.createElement('hr', { className: (0, _classnames2.default)('flex-none', theme.hr) }),
    _react2.default.createElement(
      'div',
      { className: theme.description },
      description
    ),
    _react2.default.createElement(
      'div',
      { className: theme.footer },
      actions.length > 0 && actions.map(function (action) {
        return _react2.default.createElement(
          Link,
          {
            className: theme.action,
            key: action.href,
            to: action.href
          },
          action.label
        );
      })
    )
  );
};

Card.defaultProps = {
  className: null,
  actions: null,
  titleElement: 'h3',
  Link: _Link2.default
};

exports.default = (0, _reactCssThemr.themr)('Card', {}, { composeTheme: 'softly' })(Card);