'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _recompose = require('recompose');

var _nukaCarousel = require('nuka-carousel');

var _nukaCarousel2 = _interopRequireDefault(_nukaCarousel);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PreviousButton = function PreviousButton(_ref) {
  var previousSlide = _ref.previousSlide,
      className = _ref.className;
  return _react2.default.createElement(_Icon2.default, {
    name: 'fa-angle-left',
    className: className,
    onClick: function onClick() {
      previousSlide();
    }
  });
};

PreviousButton.defaultProps = {
  className: null
};

var NextButton = function NextButton(_ref2) {
  var nextSlide = _ref2.nextSlide,
      className = _ref2.className;
  return _react2.default.createElement(_Icon2.default, {
    name: 'fa-angle-right',
    className: className,
    onClick: function onClick() {
      nextSlide();
    }
  });
};

NextButton.defaultProps = {
  className: undefined
};

var defaultStyles = exports.defaultStyles = {
  button: 'w1 h1 pointer bg-black-10 br-100 pa1'
};

var Carousel = function (_React$PureComponent) {
  _inherits(Carousel, _React$PureComponent);

  function Carousel() {
    _classCallCheck(this, Carousel);

    return _possibleConstructorReturn(this, (Carousel.__proto__ || Object.getPrototypeOf(Carousel)).apply(this, arguments));
  }

  _createClass(Carousel, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      var _this2 = this;

      this.timeout = setTimeout(function () {
        _this2.carousel.setDimensions();
      }, 0);
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      clearTimeout(this.timeout);
    }
  }, {
    key: 'render',
    value: function render() {
      var _this3 = this;

      var _props = this.props,
          _props$slidesToShow = _props.slidesToShow,
          slidesToShow = _props$slidesToShow === undefined ? 1 : _props$slidesToShow,
          className = _props.className,
          theme = _props.theme,
          items = _props.items,
          renderItem = _props.renderItem,
          props = _objectWithoutProperties(_props, ['slidesToShow', 'className', 'theme', 'items', 'renderItem']);

      return _react2.default.createElement(
        'div',
        { 'data-component': 'Carousel', className: (0, _classnames2.default)(theme.root, className) },
        _react2.default.createElement(
          _nukaCarousel2.default,
          _extends({
            ref: function ref(_ref3) {
              _this3.carousel = _ref3;
            },
            slidesToShow: slidesToShow,
            decorators: [{
              component: function component() {
                return null;
              },
              position: 'BottomCenter'
            }, {
              component: (0, _recompose.defaultProps)({ className: theme.button })(PreviousButton),
              position: 'CenterLeft'
            }, {
              component: (0, _recompose.defaultProps)({ className: theme.button })(NextButton),
              position: 'CenterRight'
            }]
          }, props),
          items.map(function (x) {
            return renderItem(x);
          })
        )
      );
    }
  }]);

  return Carousel;
}(_react2.default.PureComponent);

Carousel.defaultProps = {
  slidesToShow: 1,
  className: undefined
};
exports.default = (0, _reactCssThemr.themr)('Carousel', {}, { composeTheme: 'softly' })(Carousel);