'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = {
  image: 'is-128x128',
  name: '',
  from: '',
  content: ''
};

var CustomerReviewItem = function CustomerReviewItem(_ref) {
  var _ref$item = _ref.item,
      image = _ref$item.image,
      name = _ref$item.name,
      from = _ref$item.from,
      content = _ref$item.content,
      className = _ref.className,
      theme = _ref.theme;
  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('flex flex-column items-center tc', theme.root, className) },
    _react2.default.createElement('img', { className: (0, _classnames2.default)('image', theme.image), src: image, alt: name }),
    _react2.default.createElement(
      'div',
      { className: theme.name },
      name
    ),
    _react2.default.createElement(
      'div',
      { className: theme.from },
      from
    ),
    _react2.default.createElement(
      'div',
      { className: theme.content },
      content
    )
  );
};

CustomerReviewItem.defaultProps = {
  className: null
};

exports.default = (0, _reactCssThemr.themr)('CustomerReviewItem', defaultStyles, { composeTheme: 'softly' })(CustomerReviewItem);