'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _Link = require('../Link');

var _Link2 = _interopRequireDefault(_Link);

var _Form = require('../Form');

var _Form2 = _interopRequireDefault(_Form);

var _SimpleMap = require('../SimpleMap');

var _SimpleMap2 = _interopRequireDefault(_SimpleMap);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var removeEmpty = _ramda2.default.pickBy(function (v) {
  return !!v;
});

var Footer = function Footer(_ref) {
  var _ref$data = _ref.data;
  _ref$data = _ref$data === undefined ? {} : _ref$data;
  var title = _ref$data.title,
      subtitle = _ref$data.subtitle,
      phone = _ref$data.phone,
      email = _ref$data.email,
      contact = _ref$data.contact,
      _ref$data$items = _ref$data.items,
      items = _ref$data$items === undefined ? [] : _ref$data$items,
      map = _ref$data.map,
      form = _ref$data.form,
      theme = _ref.theme,
      className = _ref.className;
  return _react2.default.createElement(
    'div',
    {
      'data-component': 'Footer',
      className: (0, _classnames2.default)(theme.root, className)
    },
    _react2.default.createElement(
      'div',
      { className: theme.title },
      title
    ),
    _react2.default.createElement(
      'div',
      { className: theme.subtitle },
      subtitle
    ),
    _react2.default.createElement(
      'div',
      { className: theme.phoneWrapper },
      _react2.default.createElement(
        'a',
        { className: (0, _classnames2.default)('dib link', theme.phone), href: 'tel:' + phone },
        _react2.default.createElement(_Icon2.default, { className: theme.icon, name: 'fa-phone' }),
        phone
      )
    ),
    _react2.default.createElement(
      'div',
      { className: theme.emailWrapper },
      _react2.default.createElement(
        'a',
        { className: (0, _classnames2.default)('dib link', theme.email), href: 'mailto:' + email },
        _react2.default.createElement(_Icon2.default, { className: theme.icon, name: 'fa-envelope-o' }),
        email
      )
    ),
    _react2.default.createElement(
      'div',
      { className: 'flex flex-wrap' },
      _react2.default.createElement(
        'div',
        { className: 'w-100 w-third-ns' },
        _react2.default.createElement(
          'div',
          { className: theme.header },
          'Th\xF4ng tin li\xEAn h\u1EC7'
        ),
        _react2.default.createElement(
          'div',
          { className: theme.item },
          contact.name
        ),
        _react2.default.createElement(
          'div',
          { className: theme.item },
          contact.address
        ),
        _react2.default.createElement(
          'div',
          { className: theme.item },
          contact.phone
        ),
        _react2.default.createElement(
          'div',
          { className: theme.item },
          contact.email
        )
      ),
      _react2.default.createElement(
        'div',
        { className: 'w-100 w-third-ns' },
        !form && _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            'div',
            { className: theme.header },
            'Sitemap'
          ),
          items.map(function (item) {
            return _react2.default.createElement(
              _Link2.default,
              { key: item.to, className: (0, _classnames2.default)(theme.item, theme.link), to: item.to },
              item.label
            );
          })
        ),
        form && _react2.default.createElement(
          'div',
          { className: theme.formWrapper },
          _react2.default.createElement(
            'div',
            { className: theme.formTitle },
            form.title
          ),
          _react2.default.createElement(
            'div',
            { className: theme.formSubtitle },
            form.subtitle
          ),
          _react2.default.createElement(_Form2.default, {
            fields: form.fields,
            submitText: form.submitText,
            theme: removeEmpty({
              root: theme.form,
              inputWrapper: theme.formInputWrapper,
              icon: theme.formIcon,
              input: theme.formInput,
              label: theme.formLabel,
              submitWrapper: theme.formSubmitWrapper,
              submit: theme.formSubmit,
              error: theme.formError
            })
          })
        )
      ),
      _react2.default.createElement(
        'div',
        { className: 'w-100 w-third-ns' },
        map && _react2.default.createElement(
          'div',
          null,
          _react2.default.createElement(
            'div',
            { className: theme.header },
            'Google Map'
          ),
          _react2.default.createElement(
            'div',
            { className: 'w-100 h5' },
            _react2.default.createElement(_SimpleMap2.default, {
              markers: map.markers,
              center: map.center,
              defaultZoom: map.defaultZoom
            })
          )
        )
      )
    )
  );
};

Footer.defaultProps = {
  className: undefined
};

exports.default = (0, _reactCssThemr.themr)('Footer', {}, { composeTheme: 'softly' })(Footer);