'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _recompose = require('recompose');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactImages = require('react-images');

var _reactImages2 = _interopRequireDefault(_reactImages);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Gallery = function Gallery(_ref) {
  var images = _ref.images,
      selected = _ref.selected,
      select = _ref.select,
      isOpen = _ref.isOpen,
      open = _ref.open,
      className = _ref.className,
      theme = _ref.theme;
  return _react2.default.createElement(
    'div',
    {
      'data-component': 'Gallery',
      className: (0, _classnames2.default)(theme.root, className)
    },
    images.map(function (_ref2, idx) {
      var src = _ref2.src,
          caption = _ref2.caption;
      return _react2.default.createElement(
        'div',
        { key: src, className: 'w-50 w-third-ns w-25-l pa1' },
        _react2.default.createElement(
          'div',
          { className: 'relative aspect-ratio--16x9 overflow-y-hidden grow' },
          _react2.default.createElement('img', {
            className: 'absolute pointer',
            onClick: function onClick() {
              open(true);
              select(idx);
            },
            key: src,
            src: src,
            alt: caption
          })
        ),
        _react2.default.createElement(
          'div',
          { className: theme.caption },
          caption
        )
      );
    }),
    _react2.default.createElement(_reactImages2.default, {
      currentImage: selected,
      images: images,
      isOpen: isOpen,
      onClickPrev: function onClickPrev() {
        select(selected - 1 < 0 ? selected : selected - 1);
      },
      onClickNext: function onClickNext() {
        select(selected + 1 >= images.length ? 0 : selected + 1);
      },
      onClose: function onClose() {
        return open(false);
      }
    })
  );
};

Gallery.defaultProps = {
  className: undefined
};

exports.default = (0, _recompose.compose)((0, _reactCssThemr.themr)('Gallery', {}, { composeTheme: 'softly' }), (0, _recompose.withState)('selected', 'select', 0), (0, _recompose.withState)('isOpen', 'open', false))(Gallery);