'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  input: ''
};

var Input = function Input(_ref) {
  var className = _ref.className,
      icon = _ref.icon,
      children = _ref.children,
      theme = _ref.theme,
      props = _objectWithoutProperties(_ref, ['className', 'icon', 'children', 'theme']);

  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('flex items-center pa1 br2 ba b--light-gray', className) },
    icon && _react2.default.createElement(_Icon2.default, { className: 'pl2', name: icon }),
    _react2.default.createElement(
      'input',
      _extends({ className: (0, _classnames2.default)('reset-input flex-auto outline-0 ph2 pv1 bn f6', theme.input) }, props),
      children
    )
  );
};

Input.defaultProps = {
  icon: null,
  children: null,
  className: null
};

exports.default = (0, _reactCssThemr.themr)('Input', {}, { composeTheme: 'softly' })(Input);