'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Link = require('../Link');

var _Link2 = _interopRequireDefault(_Link);

var _LanguageSelector = require('../LanguageSelector');

var _LanguageSelector2 = _interopRequireDefault(_LanguageSelector);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var NavDropdown = function NavDropdown(_ref) {
  var items = _ref.items,
      _ref$languages = _ref.languages,
      languages = _ref$languages === undefined ? [] : _ref$languages,
      language = _ref.language,
      rightSection = _ref.rightSection,
      onClose = _ref.onClose,
      theme = _ref.theme,
      className = _ref.className,
      props = _objectWithoutProperties(_ref, ['items', 'languages', 'language', 'rightSection', 'onClose', 'theme', 'className']);

  return _react2.default.createElement(
    'div',
    _extends({
      className: (0, _classnames2.default)('min-h-100', theme.root, className),
      'data-component': 'NavDropdown'
    }, props),
    _react2.default.createElement(
      'div',
      { className: theme.body },
      items.map(function (item) {
        return _react2.default.createElement(
          _Link2.default,
          {
            key: item.to,
            className: theme.item,
            to: item.to,
            onClick: function onClick() {
              return onClose();
            }
          },
          item.label
        );
      }),
      languages.length > 0 && _react2.default.createElement(_LanguageSelector2.default, {
        selected: language,
        items: languages
      }),
      rightSection
    )
  );
};

NavDropdown.defaultProps = {
  className: undefined,
  phone: undefined
};

exports.default = (0, _reactCssThemr.themr)('NavDropdown', {}, { composeTheme: 'softly' })(NavDropdown);