'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _recompose = require('recompose');

var _reactMotion = require('react-motion');

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var items = ['Hello World', 'Commercial', 'Business', 'Residents', 'About Us', 'Contact Us'];

var SlideNav = function SlideNav(_ref) {
  var isShow = _ref.isShow,
      isShowChild = _ref.isShowChild,
      showChild = _ref.showChild,
      className = _ref.className;
  return _react2.default.createElement(
    'div',
    { className: className },
    _react2.default.createElement(
      _reactMotion.Motion,
      {
        defaultStyle: { left: 100 },
        style: {
          left: !isShow ? (0, _reactMotion.spring)(100) : (0, _reactMotion.spring)(0)
        }
      },
      function (_ref2) {
        var left = _ref2.left;
        return _react2.default.createElement(
          'div',
          {
            className: (0, _classnames2.default)('absolute absolute--fill bg-white z-999', { dn: left === 100 }),
            style: {
              transform: 'translate(' + left + '%, 0)'
            }
          },
          items.map(function (item) {
            return _react2.default.createElement(
              'div',
              {
                key: item,
                className: 'bb b--light-gray pa3 ttu gray f5 relative w-100',
                onClick: function onClick() {
                  return showChild(true);
                }
              },
              item,
              _react2.default.createElement(
                'div',
                { className: 'absolute right-0 pr3 top-0 bottom-0 flex items-center' },
                _react2.default.createElement(_Icon2.default, { name: 'fa-arrow-right' })
              )
            );
          })
        );
      }
    ),
    _react2.default.createElement(
      _reactMotion.Motion,
      {
        defaultStyle: { left: 100 },
        style: {
          left: !isShowChild ? (0, _reactMotion.spring)(100) : (0, _reactMotion.spring)(0)
        }
      },
      function (_ref3) {
        var left = _ref3.left;
        return _react2.default.createElement(
          'div',
          {
            className: 'absolute absolute--fill bg-white z-9999',
            style: {
              transform: 'translate(' + left + '%, 0)'
            }
          },
          _react2.default.createElement(
            'div',
            { className: 'bg-gray yellow pa3' },
            _react2.default.createElement(_Icon2.default, {
              name: 'fa-arrow-left',
              className: 'f4',
              onClick: function onClick() {
                return showChild(false);
              }
            })
          ),
          items.map(function (item) {
            return _react2.default.createElement(
              'div',
              {
                key: item,
                className: 'bb b--light-gray pa3 ttu gray f5',
                onClick: function onClick() {
                  return showChild(true);
                }
              },
              item
            );
          })
        );
      }
    )
  );
};

SlideNav.defaultProps = {
  className: null
};

var Nav = function Nav(_ref4) {
  var isShow = _ref4.isShow,
      show = _ref4.show,
      showChild = _ref4.showChild;
  return _react2.default.createElement(
    'div',
    { className: 'flex-none bg-yellow flex items-center w-100 justify-between pv3 ph3' },
    _react2.default.createElement(_Icon2.default, {
      name: isShow ? 'fa-times' : 'fa-bars',
      className: 'f3',
      onClick: function onClick() {
        if (isShow) {
          show(false);
          showChild(false);
        } else {
          show(true);
        }
      }
    }),
    _react2.default.createElement(_Icon2.default, {
      name: 'fa-user',
      className: 'f3'
    }),
    _react2.default.createElement(_Icon2.default, {
      name: 'fa-phone-square',
      className: 'f3'
    })
  );
};

var _NestedNavigation = function _NestedNavigation(_ref5) {
  var isShow = _ref5.isShow,
      show = _ref5.show,
      isShowChild = _ref5.isShowChild,
      showChild = _ref5.showChild;
  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('fixed w-100', { 'vh-100 flex flex-column': isShow }) },
    _react2.default.createElement(Nav, {
      isShow: isShow,
      show: show,
      showChild: showChild
    }),
    _react2.default.createElement(SlideNav, {
      className: (0, _classnames2.default)('relative', { 'flex-auto': isShow }),
      isShow: isShow,
      isShowChild: isShowChild,
      showChild: showChild
    })
  );
};

var NestedNavigation = (0, _recompose.compose)((0, _recompose.withState)('isShow', 'show', false), (0, _recompose.withState)('isShowChild', 'showChild', false))(_NestedNavigation);

var App = function App() {
  return _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(NestedNavigation, null),
    _react2.default.createElement(
      'div',
      { className: 'ph2 pb5', style: { paddingTop: '4.5rem' } },
      'Hello'
    )
  );
};

exports.default = App;