'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactCssThemr = require('react-css-themr');

var _Input = require('../Input');

var _Input2 = _interopRequireDefault(_Input);

var _Button = require('../Button');

var _Button2 = _interopRequireDefault(_Button);

var _createFormReducer = require('../../utils/createFormReducer');

var _createFormReducer2 = _interopRequireDefault(_createFormReducer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  header: '',
  input: '',
  callToAction: ''
};

var themeConfig = {
  vertical: {
    root: '',
    form: '',
    input: 'w-100',
    callToAction: 'w-100'
  },
  horizontal: {
    root: '',
    form: 'flex items-center',
    input: 'flex-auto',
    callToAction: 'flex-none'
  }
};

var ON_CHANGE = 'ON_CHANGE';

function validateField(name, value) {
  switch (name) {
    case 'name':
      if (!value) return 'Required name';
      break;
    case 'email':
      if (!value) return 'Required email';
      break;
    default:
      return '';
  }
  return '';
}

var reducer = (0, _createFormReducer2.default)({ ON_CHANGE: ON_CHANGE, validateField: validateField });

var OptIn = function OptIn(_ref) {
  var _ref$data = _ref.data;
  _ref$data = _ref$data === undefined ? {} : _ref$data;
  var _ref$data$isHorizonta = _ref$data.isHorizontal,
      isHorizontal = _ref$data$isHorizonta === undefined ? false : _ref$data$isHorizonta,
      action = _ref$data.action,
      secret = _ref$data.secret,
      callToAction = _ref$data.callToAction,
      _ref$data$nameLabel = _ref$data.nameLabel,
      nameLabel = _ref$data$nameLabel === undefined ? 'Your Name' : _ref$data$nameLabel,
      _ref$data$emailLabel = _ref$data.emailLabel,
      emailLabel = _ref$data$emailLabel === undefined ? 'Your Email' : _ref$data$emailLabel,
      className = _ref$data.className,
      _ref$requireName = _ref.requireName,
      requireName = _ref$requireName === undefined ? false : _ref$requireName,
      _ref$state = _ref.state,
      _ref$state$name = _ref$state.name,
      name = _ref$state$name === undefined ? '' : _ref$state$name,
      _ref$state$email = _ref$state.email,
      email = _ref$state$email === undefined ? '' : _ref$state$email,
      _ref$state$isValid = _ref$state.isValid,
      isValid = _ref$state$isValid === undefined ? false : _ref$state$isValid,
      error = _ref$state.error,
      isCheck = _ref.isCheck,
      check = _ref.check,
      dispatch = _ref.dispatch,
      onSubmit = _ref.onSubmit,
      theme = _ref.theme;

  var styleName = isHorizontal ? 'horizontal' : 'vertical';
  var _theme = themeConfig[styleName];

  return _react2.default.createElement(
    'div',
    { className: className },
    _react2.default.createElement(
      'form',
      {
        className: _theme.form,
        action: action,
        method: 'post',
        target: '_blank'
      },
      requireName && _react2.default.createElement(_Input2.default, {
        name: 'FNAME',
        id: 'mce-FNAME',
        icon: 'fa-user',
        className: (0, _classnames2.default)(_theme.input, theme.input),
        value: name,
        placeholder: nameLabel,
        onChange: function onChange(e) {
          dispatch({ type: ON_CHANGE, payload: { name: 'name', value: e.target.value } });
        }
      }),
      _react2.default.createElement(_Input2.default, {
        type: 'email',
        name: 'EMAIL',
        id: 'mce-EMAIL',
        icon: 'fa-envelope',
        className: (0, _classnames2.default)(_theme.input, theme.input),
        value: email,
        placeholder: emailLabel,
        onChange: function onChange(e) {
          dispatch({ type: ON_CHANGE, payload: { name: 'email', value: e.target.value } });
        }
      }),
      _react2.default.createElement('input', {
        className: 'dn',
        'aria-hidden': 'true',
        type: 'text',
        name: secret,
        tabIndex: '-1',
        value: ''
      }),
      _react2.default.createElement(
        _Button2.default,
        {
          className: (0, _classnames2.default)(_theme.callToAction, theme.callToAction),
          disabled: !isValid,
          onClick: function onClick() {
            check(true);
            if (onSubmit) {
              onSubmit({ email: email, name: name });
            }
          }
        },
        callToAction
      )
    ),
    isCheck && error.name && _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(
        'div',
        { className: '-red f7' },
        error.name
      )
    ),
    isCheck && error.email && _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(
        'div',
        { className: '-red f7' },
        error.email
      )
    )
  );
};

OptIn.defaultProps = {
  header: null,
  className: null,
  error: {},
  onSubmit: null,
  requireName: false
};

var defaultError = {
  name: 'Required name',
  email: 'Required email'
};

exports.default = (0, _recompose.compose)((0, _reactCssThemr.themr)('OptIn', {}, { composeTheme: 'softly' }), (0, _recompose.withState)('isCheck', 'check', false), (0, _recompose.withReducer)('state', 'dispatch', reducer, { error: defaultError, isValid: false }))(OptIn);