'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _lodash = require('lodash.throttle');

var _lodash2 = _interopRequireDefault(_lodash);

var _reactCssThemr = require('react-css-themr');

var _recompose = require('recompose');

var _reactEventListener = require('react-event-listener');

var _reactEventListener2 = _interopRequireDefault(_reactEventListener);

var _reactMotionUiPack = require('react-motion-ui-pack');

var _reactMotionUiPack2 = _interopRequireDefault(_reactMotionUiPack);

var _Navigation = require('../Navigation');

var _Navigation2 = _interopRequireDefault(_Navigation);

var _NavDropdown = require('../NavDropdown');

var _NavDropdown2 = _interopRequireDefault(_NavDropdown);

var _Footer = require('../Footer');

var _Footer2 = _interopRequireDefault(_Footer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var defaultStyles = exports.defaultStyles = {
  defaultNavWrapper: 'bg-black-30',
  stickyNavWrapper: 'bg-black-30'
};

var Template = function (_React$Component) {
  _inherits(Template, _React$Component);

  function Template() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, Template);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = Template.__proto__ || Object.getPrototypeOf(Template)).call.apply(_ref, [this].concat(args))), _this), _this.onScroll = function () {
      if (window.scrollY > 50) {
        _this.props.toggleNav(true);
      } else {
        _this.props.toggleNav(false);
      }
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(Template, [{
    key: 'render',
    value: function render() {
      var _cn;

      var _props = this.props,
          isToggleNav = _props.isToggleNav,
          showNav = _props.showNav,
          isShowNav = _props.isShowNav,
          theme = _props.theme,
          children = _props.children,
          items = _props.items,
          language = _props.language,
          languages = _props.languages,
          rightNav = _props.rightNav,
          logo = _props.logo,
          footer = _props.footer,
          copyright = _props.copyright;

      return _react2.default.createElement(
        'div',
        { 'data-component': 'Template' },
        _react2.default.createElement(_reactEventListener2.default, {
          target: 'window',
          onScroll: (0, _lodash2.default)(this.onScroll)
        }),
        _react2.default.createElement(
          'div',
          {
            className: (0, _classnames2.default)(theme.navWrapper, (_cn = {}, _defineProperty(_cn, theme.defaultNavWrapper, !isToggleNav), _defineProperty(_cn, theme.stickyNavWrapper, isToggleNav), _cn))
          },
          _react2.default.createElement(_Navigation2.default, {
            items: items,
            language: language,
            languages: languages,
            rightNav: rightNav,
            logo: logo,
            show: showNav,
            isShow: isShowNav,
            isSticky: isToggleNav
          })
        ),
        _react2.default.createElement(
          _reactMotionUiPack2.default,
          {
            component: false,
            enter: {
              translateY: 0 },
            leave: {
              translateY: -2000
            }
          },
          isShowNav && _react2.default.createElement(_NavDropdown2.default, {
            key: 'dropdown',
            items: items,
            language: language,
            languages: languages,
            rightNav: rightNav,
            onClose: function onClose() {
              return showNav(false);
            }
          })
        ),
        !isShowNav && _react2.default.createElement(
          'div',
          { className: theme.bodyWrapper },
          children
        ),
        !isShowNav && _react2.default.createElement(
          'div',
          { className: theme.footerWrapper },
          _react2.default.createElement(_Footer2.default, {
            className: theme.footer,
            data: footer
          })
        ),
        !isShowNav && _react2.default.createElement(
          'div',
          { className: theme.copyrightWrapper },
          _react2.default.createElement(
            'div',
            { className: theme.copyright },
            copyright
          )
        )
      );
    }
  }]);

  return Template;
}(_react2.default.Component);

Template.defaultProps = {
  children: null,
  language: 'vi',
  rightNav: undefined
};


Template.defaultProps = {
  language: 'vi'
};

exports.default = (0, _recompose.compose)((0, _reactCssThemr.themr)('Template', {}, { composeTheme: 'softly' }), (0, _recompose.withState)('isToggleNav', 'toggleNav', false), (0, _recompose.withState)('isShowNav', 'showNav', false))(Template);