'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactForm = require('react-form');

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TextInput = function (_React$PureComponent) {
  _inherits(TextInput, _React$PureComponent);

  function TextInput() {
    _classCallCheck(this, TextInput);

    return _possibleConstructorReturn(this, (TextInput.__proto__ || Object.getPrototypeOf(TextInput)).apply(this, arguments));
  }

  _createClass(TextInput, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          field = _props.field,
          _props$type = _props.type,
          type = _props$type === undefined ? 'text' : _props$type,
          _props$multiline = _props.multiline,
          multiline = _props$multiline === undefined ? false : _props$multiline,
          icon = _props.icon,
          label = _props.label,
          className = _props.className,
          theme = _props.theme,
          rest = _objectWithoutProperties(_props, ['field', 'type', 'multiline', 'icon', 'label', 'className', 'theme']);

      var Input = multiline ? 'textarea' : 'input';
      return _react2.default.createElement(
        _reactForm.FormField,
        {
          field: field,
          showErrors: false
        },
        function (_ref) {
          var setValue = _ref.setValue,
              getValue = _ref.getValue,
              setTouched = _ref.setTouched;
          return _react2.default.createElement(
            'div',
            { className: (0, _classnames2.default)(theme.root, className), onClick: function onClick() {
                return _this2.ref.focus();
              } },
            !!label && _react2.default.createElement(
              'label',
              { className: theme.label, htmlFor: field },
              label
            ),
            _react2.default.createElement(
              'div',
              { className: 'flex items-center' },
              !!icon && _react2.default.createElement(_Icon2.default, { key: 'icon', className: theme.icon, name: icon }),
              _react2.default.createElement(Input, _extends({
                key: 'input',
                ref: function ref(_ref2) {
                  _this2.ref = _ref2;
                },
                name: field,
                className: (0, _classnames2.default)('flex-auto input-reset outline-0 bn', theme.input),
                type: type
              }, rest, { // Send the rest of your props to React-Select
                value: getValue() // Set the value to the forms value
                , onChange: function onChange(e) {
                  setValue(e.target.value);
                } // On Change, update the form value
                , onBlur: function onBlur() {
                  return setTouched();
                }
              }))
            )
          );
        }
      );
    }
  }]);

  return TextInput;
}(_react2.default.PureComponent);

TextInput.defaultProps = {
  className: undefined,
  label: undefined
};
exports.default = (0, _reactCssThemr.themr)('TextInput', {}, { composeTheme: 'softly' })(TextInput);