'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _reactScroll = require('react-scroll');

var _reactMarkdown = require('react-markdown');

var _reactMarkdown2 = _interopRequireDefault(_reactMarkdown);

var _Section = require('../Section');

var _Section2 = _interopRequireDefault(_Section);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Location = function Location(_ref) {
  var data = _ref.data,
      theme = _ref.theme;
  var element = data.element,
      title = data.title,
      subtitle = data.subtitle,
      description = data.description,
      items = data.items;

  var section = _react2.default.createElement(
    _Section2.default,
    {
      title: title,
      subtitle: subtitle,
      theme: theme
    },
    _react2.default.createElement(
      'div',
      { className: theme.imageWrapper },
      _react2.default.createElement('img', {
        alt: 'map',
        src: data.image
      })
    ),
    _react2.default.createElement(
      'div',
      { className: theme.textWrapper },
      _react2.default.createElement(
        'div',
        { className: theme.description },
        _react2.default.createElement(_reactMarkdown2.default, { source: description })
      ),
      items.map(function (item) {
        return _react2.default.createElement(
          'div',
          {
            key: item.label,
            className: theme.itemWrapper
          },
          _react2.default.createElement(
            'div',
            { className: theme.item },
            _react2.default.createElement(
              'div',
              { className: theme.iconWrapper },
              _react2.default.createElement(_Icon2.default, { name: item.icon, className: theme.icon })
            ),
            _react2.default.createElement(
              'div',
              { className: theme.label },
              item.label
            )
          )
        );
      })
    )
  );

  if (!element) return section;

  return _react2.default.createElement(
    _reactScroll.Element,
    { name: element },
    section
  );
};

exports.default = (0, _reactCssThemr.themr)('Location', {}, { composeTheme: 'softly' })(Location);