'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _reactCssThemr = require('react-css-themr');

var _reactScroll = require('react-scroll');

var _Section = require('../Section');

var _Section2 = _interopRequireDefault(_Section);

var _LabelValue = require('../LabelValue');

var _LabelValue2 = _interopRequireDefault(_LabelValue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var removeEmpty = _ramda2.default.pickBy(function (v) {
  return !!v;
});

var Payment = function Payment(_ref) {
  var data = _ref.data,
      theme = _ref.theme;
  var element = data.element,
      title = data.title,
      subtitle = data.subtitle,
      items = data.items;

  var section = _react2.default.createElement(
    _Section2.default,
    {
      title: title,
      subtitle: subtitle,
      theme: theme
    },
    items.map(function (_ref2) {
      var label = _ref2.label,
          value = _ref2.value;
      return _react2.default.createElement(_LabelValue2.default, {
        key: value,
        label: label,
        value: value,
        theme: removeEmpty({
          root: theme.item,
          icon: theme.itemIcon,
          label: theme.itemLabel,
          value: theme.itemValue
        })
      });
    })
  );

  if (!element) return section;

  return _react2.default.createElement(
    _reactScroll.Element,
    { name: element },
    section
  );
};

exports.default = (0, _reactCssThemr.themr)('Payment', {}, { composeTheme: 'softly' })(Payment);