'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _reactCssThemr = require('react-css-themr');

var _reactScroll = require('react-scroll');

var _Section = require('../Section');

var _Section2 = _interopRequireDefault(_Section);

var _LabelValue = require('../LabelValue');

var _LabelValue2 = _interopRequireDefault(_LabelValue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var removeEmpty = _ramda2.default.pickBy(function (v) {
  return !!v;
});

var Pricing = function Pricing(_ref) {
  var data = _ref.data,
      theme = _ref.theme;
  var element = data.element,
      title = data.title,
      subtitle = data.subtitle,
      pricing = data.pricing,
      bankSupport = data.bankSupport;

  var section = _react2.default.createElement(
    _Section2.default,
    {
      title: title,
      subtitle: subtitle,
      theme: theme
    },
    _react2.default.createElement(
      'div',
      { className: theme.pricingWrapper },
      _react2.default.createElement(
        'h3',
        null,
        pricing.title
      ),
      pricing.items.map(function (_ref2) {
        var icon = _ref2.icon,
            value = _ref2.value;
        return _react2.default.createElement(_LabelValue2.default, {
          key: value,
          icon: icon,
          value: value,
          theme: removeEmpty({
            root: theme.pricingItem,
            icon: theme.pricingItemIcon,
            label: theme.pricingItemLabel,
            value: theme.pricingItemValue
          })
        });
      })
    ),
    _react2.default.createElement(
      'div',
      { className: theme.bankWrapper },
      _react2.default.createElement(
        'h3',
        null,
        bankSupport.title
      ),
      bankSupport.items.map(function (_ref3) {
        var icon = _ref3.icon,
            label = _ref3.label,
            value = _ref3.value;
        return _react2.default.createElement(_LabelValue2.default, {
          key: value,
          icon: icon,
          label: label,
          value: value,
          theme: removeEmpty({
            root: theme.bankItem,
            icon: theme.bankItemIcon,
            label: theme.bankItemLabel,
            value: theme.bankItemValue
          })
        });
      })
    )
  );

  if (!element) return section;

  return _react2.default.createElement(
    _reactScroll.Element,
    { name: element },
    section
  );
};

exports.default = (0, _reactCssThemr.themr)('Pricing', {}, { composeTheme: 'softly' })(Pricing);