'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _reactCssThemr = require('react-css-themr');

var _reactScroll = require('react-scroll');

var _Section = require('../Section');

var _Section2 = _interopRequireDefault(_Section);

var _Carousel = require('../Carousel');

var _Carousel2 = _interopRequireDefault(_Carousel);

var _LabelValue = require('../LabelValue');

var _LabelValue2 = _interopRequireDefault(_LabelValue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var removeEmpty = _ramda2.default.pickBy(function (v) {
  return !!v;
});

var Summary = function Summary(_ref) {
  var data = _ref.data,
      theme = _ref.theme;
  var element = data.element,
      title = data.title,
      subtitle = data.subtitle,
      items = data.items,
      images = data.images;

  var section = _react2.default.createElement(
    _Section2.default,
    {
      title: title,
      subtitle: subtitle,
      theme: theme
    },
    _react2.default.createElement(
      'div',
      { className: theme.textWrapper },
      items.map(function (_ref2) {
        var label = _ref2.label,
            value = _ref2.value;
        return _react2.default.createElement(_LabelValue2.default, {
          key: value,
          label: label,
          value: value,
          theme: removeEmpty({
            root: theme.item,
            icon: theme.itemIcon,
            label: theme.itemLabel,
            value: theme.itemValue
          })
        });
      })
    ),
    _react2.default.createElement(
      'div',
      { className: theme.imageWrapper },
      _react2.default.createElement(_Carousel2.default, {
        className: 'w-100',
        imagesToShow: 1,
        items: images,
        renderItem: function renderItem(_ref3) {
          var src = _ref3.src;
          return _react2.default.createElement(
            'div',
            { className: 'aspect-ratio--16x9', key: src },
            _react2.default.createElement('img', {
              className: 'absolute w-100',
              src: src,
              alt: src,
              onLoad: function onLoad() {
                window.dispatchEvent(new Event('resize'));
              }
            })
          );
        }
      })
    )
  );

  if (!element) return section;

  return _react2.default.createElement(
    _reactScroll.Element,
    { name: element },
    section
  );
};

exports.default = (0, _reactCssThemr.themr)('Summary', {}, { composeTheme: 'softly' })(Summary);